Konflikt w pakietach


(D35CART35) #1

Nie wiem jak rozwiązać sprawę bo jest problem z aktualizacją w manjaro, pacman wypluwa
że jest konflikt w pakietach, nie wiem jak sobie z tym poradzić.
Za pomoc Dziękuje :wink:


(roobal) #2

Jak ja uwielbiam Pacmana i jego konflikty, przez co 2 razy system mi się wysypał.

Pewnie musisz wybrać jeden z nich, ale licz się z wysypaniem systemu, dlatego lepiej jak wypowie się ktoś z większym doświadczeniem z Archem i jego podobnymi, ja za krótko wytrzymałem na Archu (wolę Gentoo). @pocolog?


(marcin82) #3

@roobal

W Manjaro czasem zdarzy im się “przekustomizować”, a przecież mechanizm jest ten sam jak w relacji Debian - Ubuntu, czytaj: bierzemy snaphot Sida i wypuszczamy jako “stabilne” wydanie cykliczne …

W Archu dawno niczego takiego nie spotkałem (2011 - do nadal). Wszelkie wychwycone ewentualne problemy są sygnalizowane tutaj:
https://www.archlinux.org/news/

@D35CART35

Pokaż cały wynik komendy - jako root:

pacman -Syyu
pacman -Qm


(roobal) #4

Myślałem, że Ty bardziej Debian :wink:


(marcin82) #5

Od dawna już nie.


(roobal) #6

Spoko.


(D35CART35) #7

@marcin82 podaje wynik komend
[john@john-pc ~]$ su -
Hasło:
[john-pc ~]# pacman -Syyu
:: Synchronizowanie baz danych z pakietami…
core 141,4 KiB 100K/s 00:01 [######################] 100%
extra 1716,2 KiB 347K/s 00:05 [######################] 100%
community 4,4 MiB 893K/s 00:05 [######################] 100%
multilib 174,8 KiB 4,74M/s 00:00 [######################] 100%
:: Rozpoczynanie pełnej aktualizacji systemu…
:: Zastąpić compositeproto przez extra/xorgproto? [T/n] t
:: Zastąpić damageproto przez extra/xorgproto? [T/n] t
:: Zastąpić fixesproto przez extra/xorgproto? [T/n] t
:: Zastąpić fontsproto przez extra/xorgproto? [T/n] t
:: Zastąpić gcc-libs-multilib przez core/gcc-libs? [T/n] t
:: Zastąpić gcc-multilib przez core/gcc? [T/n] t
:: Zastąpić gtk3-print-backends przez extra/gtk3? [T/n] t
:: Zastąpić inputproto przez extra/xorgproto? [T/n] t
:: Zastąpić kbproto przez extra/xorgproto? [T/n] t
:: Zastąpić mime-types przez extra/mailcap? [T/n] t
:: Zastąpić randrproto przez extra/xorgproto? [T/n] t
:: Zastąpić recordproto przez extra/xorgproto? [T/n] t
:: Zastąpić renderproto przez extra/xorgproto? [T/n] t
:: Zastąpić rfkill przez core/util-linux? [T/n] t
:: Zastąpić scrnsaverproto przez extra/xorgproto? [T/n] t
:: Zastąpić videoproto przez extra/xorgproto? [T/n] t
:: Zastąpić xextproto przez extra/xorgproto? [T/n] t
:: Zastąpić xf86miscproto przez extra/xorgproto? [T/n] t
:: Zastąpić xf86vidmodeproto przez extra/xorgproto? [T/n] t
:: Zastąpić xineramaproto przez extra/xorgproto? [T/n] t
:: Zastąpić xproto przez extra/xorgproto? [T/n] t
rozwiązywanie zależności…
szukanie sprzecznych pakietów…
ostrzeżenie: wykryto cykl zależności:
ostrzeżenie: harfbuzz zostanie zainstalowane przed zależnościami freetype2
ostrzeżenie: wykryto cykl zależności:
ostrzeżenie: libglvnd zostanie zainstalowane przed zależnościami mesa
ostrzeżenie: wykryto cykl zależności:
ostrzeżenie: usbmuxd zostanie zainstalowane przed zależnościami libimobiledevice
ostrzeżenie: wykryto cykl zależności:
ostrzeżenie: lib32-mesa zostanie zainstalowane przed zależnościami lib32-libglvnd

Pakiety (622) acl-2.2.52-4 acpi-1.7-2 adwaita-icon-theme-3.26.1-1
alsa-lib-1.1.5-1 alsa-plugins-1.1.5-1 alsa-utils-1.1.5-2
android-tools-8.1.0_r7-1 android-udev-20180112-1
appstream-glib-0.7.4-1 apr-1.6.3-1 apr-util-1.6.1-2
archlinux-appstream-data-20180221-1 argon2-20171227-3
at-spi2-atk-2.26.1-1 at-spi2-core-2.26.2-1 atk-2.26.1-1
attr-2.4.47-3 audacious-3.9-1 audacious-plugins-3.9-2
automake-1.15.1-1 avahi-0.7-4 babl-0.1.38-1 bash-4.4.019-1
binutils-2.29.1-2 bison-3.0.4-3 blueman-2.0.5-1 bluez-5.48-2
bluez-libs-5.48-2 boost-libs-1.66.0-1 breath-wallpaper-0.3.0-2
btrfs-progs-4.15-1 bzip2-1.0.6-7 ca-certificates-mozilla-3.35-1
cairo-1.15.10-1 cantarell-fonts-1:0.100-1 catfish-1.4.4-1
celt-0.11.3-3 chromaprint-1.4.3-1 ckbcomp-1.175-1
colord-1.4.1+6+gf08c25d-1 compositeproto-0.4.2-3 [usunięcie]
coreutils-8.29-1 cpupower-4.15-1 cryptsetup-2.0.1-1
cups-2.2.6-4 cups-filters-1.20.0-1 cups-pdf-3.0.1-4
curl-7.58.0-1 daala-0.0.r1696.g7278368-1
damageproto-1.2.1-3 [usunięcie] dbus-1.12.4-1 dbus-glib-0.110-1
dconf-0.26.1-1 device-mapper-2.02.177-1 dhclient-4.4.0-1
dhcpcd-7.0.1-1 ding-libs-0.6.1-1 dmidecode-3.1-2
dnsmasq-2.78-2 dnssec-anchors-20170711-1
double-conversion-3.0.0-1 e2fsprogs-1.43.9-1 efivar-32-1
enchant-2.2.3-1 engrampa-1.20.0-1 exiv2-0.26-2 exo-0.12.0-1
expat-2.2.5-1 f2fs-tools-1.10.0-1 faac-1.29.9.2-1
faad2-2.8.8-1 fakeroot-1.22-1 ff-theme-util-1.4-1
ffmpeg-1:3.4.2-1 fftw-3.3.7-1 file-5.32-1
filesystem-2017.06-4.5 firefox-58.0.2-1.1
fixesproto-5.0+9+g4292ec1-1 [usunięcie]
fontconfig-2.12.6+5+g665584a-1 fontsproto-2.1.3-2 [usunięcie]
foomatic-db-engine-4:4.0.12-7 freeglut-3.0.0-2 freetype2-2.9-2
fribidi-1.0.1+8+gdf7252b-1 fuse-common-3.2.1-1 fuse2-2.9.7-4
gawk-4.2.0-3 gcab-1.0+2+gc0947f6-1 gcc-7.3.0-1
gcc-libs-7.3.0-1 gcc-libs-multilib-7.1.1-3 [usunięcie]
gcc-multilib-7.1.1-3 [usunięcie] gcr-3.20.0+55+g470bf4c-1
gd-2.2.5-1 gdbm-1.14.1-1 gdk-pixbuf2-2.36.11-1
ghostscript-9.22-7 git-2.16.2-1 gksu-2.0.2-6 glew-2.1.0-1
glib-networking-2.54.1-1 glib2-2.54.3+2+g94b38beff-1
glibc-2.26-11 glibmm-2.54.1-1 gnome-keyring-1:3.27.2-1
gnome-menus-3.13.3+29+g7f0844e-1
gnome-themes-standard-3.22.3+16+gc092fc89-1 gnupg-2.2.4-2
gnutls-3.5.18-1 gobject-introspection-runtime-1.54.1-1
gparted-0.30.0-3 gpgme-1.10.0-1 gpm-1.20.7-8 gptfdisk-1.0.3-1
grep-3.1-1 grub-2.02.0-4
gsettings-desktop-schemas-3.24.1+3+ge869987-1 gsfonts-20170829-1
gsm-1.0.17-1 gssproxy-0.8.0-1 gst-libav-1.12.4-1
gst-plugins-bad-1.12.4-3 gst-plugins-base-1.12.4-1
gst-plugins-base-libs-1.12.4-1 gst-plugins-good-1.12.4-2
gst-plugins-ugly-1.12.4-3 gstreamer-1.12.4-1
gtk-engine-murrine-0.98.2-3 gtk-update-icon-cache-3.22.28-1
gtk2-2.24.32-1 gtk3-3.22.28-1
gtk3-print-backends-3.22.16-1 [usunięcie]
gtkmm3-3.22.2+2+g3002ed86-1 gtksourceview3-3.24.6-1
gtkspell-2.0.16-7 gufw-18.04.0-1 guile-2.2.3-1 gvfs-1.34.2-1
gvfs-afc-1.34.2-1 gvfs-gphoto2-1.34.2-1 gvfs-mtp-1.34.2-1
gvfs-nfs-1.34.2-1 gvfs-smb-1.34.2-1 gzip-1.9-1
harfbuzz-1.7.5-1 harfbuzz-icu-1.7.5-1 haveged-1.9.1-4
hexchat-2.12.4-8 hicolor-icon-theme-0.17-1 hplip-3.17.11-1
hspell-1.4-1 htop-2.1.0-2 hunspell-1.6.2-1 hwids-20171003-1
hwinfo-21.52-1 iana-etc-20180131-1 icu-60.2-1
imagemagick-7.0.7.23-1 iniparser-4.1-1 inotify-tools-3.20.1-1
inputproto-2.3.2-1 [usunięcie] intel-ucode-20171117-1
intltool-0.51.0-3 inxi-2.3.56-1 iproute2-4.15.0-1
iptables-1.6.2-2 iso-codes-3.76-1 iw-4.14-1 jansson-2.10-3
jasper-2.0.14-1 java-environment-common-3-1
java-runtime-common-3-1 jbig2dec-0.14-1 jdk8-openjdk-8.u162-0.1
jre8-openjdk-8.u162-0.1 jre8-openjdk-headless-8.u162-0.1
json-c-0.13-1 json-glib-1.4.2-1 kauth-5.43.0-1
kbproto-1.0.7-1 [usunięcie] kcoreaddons-5.43.0-1
kitemmodels-5.43.0-1 krb5-1.16-1 lame-3.100-1 lcms-1.19-7
lcms2-2.9-1 ldb-1.3.0-1 ldns-1.7.0-4 lib32-alsa-lib-1.1.5-1
lib32-alsa-plugins-1.1.5-1 lib32-attr-2.4.47-2
lib32-dbus-1.12.4-1 lib32-expat-2.2.2-1 lib32-gcc-libs-7.3.0-1
lib32-glew-2.1.0-1 lib32-glib2-2.54.2-2 lib32-glibc-2.26-11
lib32-icu-60.1-1 lib32-libdrm-2.4.90-3 lib32-libelf-0.170-1
lib32-libgcrypt-1.8.1-1 lib32-libglvnd-1.0.0-1
lib32-libice-1.0.9-3 lib32-libogg-1.3.3-2
lib32-libpciaccess-0.14-1 lib32-libpulse-11.1-1
lib32-libsm-1.2.2-2 lib32-libva-1.8.3-1 lib32-libxau-1.0.8-2
lib32-libxml2-2.9.4+16+g07418011-2 lib32-llvm-libs-5.0.1-1
lib32-mesa-17.3.5-1 lib32-mesa-demos-8.3.0-3
lib32-mesa-vdpau-17.3.5-1 lib32-ncurses-6.1-1 lib32-pcre-8.40-1
lib32-readline-7.0.003-1 lib32-systemd-237.64-1
lib32-tdb-1.3.15-1 lib32-util-linux-2.31.1-1
lib32-wayland-1.14.0-1 libabw-0.1.2-1 libarchive-3.3.2-1
libass-0.14.0-1 libassuan-2.5.1-1 libatomic_ops-7.6.2-1
libavc1394-0.5.4-3 libblockdev-2.15-1 libbs2b-3.1.0-6
libbsd-0.8.7-1 libburn-1.4.8-1 libbytesize-1.1-1
libcddb-1.3.2-5 libcdio-2.0.0-1 libcdio-paranoia-10.2+0.94+2-2
libcdr-0.1.4-2 libcmis-0.5.1-8 libcups-2.2.6-4 libdca-0.0.5-5
libdrm-2.4.90-3 libdv-1.0.0-7 libdvdcss-1.4.1-1
libdvdnav-6.0.0-1 libdvdread-6.0.0-1 libe-book-0.1.3-1
libebml-1.3.5-1 libelf-0.170-1 libetonyek-0.1.7-1
libevdev-1.5.8-1 libevent-2.1.8-1 libexif-0.6.21-3
libexttextcat-3.4.5-1 libfbclient-2.5.7.27050-4
libfreehand-0.1.2-1 libgadu-1.12.2-5 libgcrypt-1.8.2-1
libgksu-2.0.12-8 libglvnd-1.0.0-1 libgphoto2-2.5.16-1
libgsf-1.14.42-1 libgtop-2.38.0+1+g487e584a-2 libgudev-232-1
libgusb-0.2.11-1 libical-3.0.1-1 libice-1.0.9-2 libidn-1.33-2
libidn2-2.0.4-2 libimobiledevice-1.2.0+66+g5a85432-1
libinput-1.10.0-1 libisofs-1.4.8-1 libjpeg-turbo-1.5.3-1
libksba-1.3.5-1 libldap-2.4.45-4 liblouis-3.4.0-1
libmagick-7.0.7.23-1 libmatroska-1.4.8-1 libmbim-1.16.0-1
libmm-glib-1.8rc1+6+g0f377f94-1 libmms-0.6.4-2 libmpc-1.1.0-1
libmpd-11.8.17-3 libmspub-0.1.3-1 libmtp-1.1.14-1
libmwaw-0.3.13-1 libnftnl-1.0.9-1 libnghttp2-1.30.0-1
libnl-3.4.0-1 libnm-1.10.5dev+3+g5159c34ea-1
libnm-glib-1.10.5dev+3+g5159c34ea-1 libofa-0.9.3-7
libogg-1.3.3-2 libpagemaker-0.0.4-1 libpciaccess-0.14-1
libpipeline-1.5.0-1 libplist-2.0.0+11+gec9ba8b-1
libpng-1.6.34-2 libproxy-0.4.15-6 libpsl-0.19.1-1
libpulse-11.1-1 libpurple-2.12.0-4 libqmi-1.20.0-1
libraqm-0.4.0-1 libreoffice-still-5.4.5-1 librsvg-2:2.42.2-1
libsasl-2.1.26-12 libseccomp-2.3.2-2 libsodium-1.0.16-1
libsoup-2.60.3-1 libsrtp-1:2.1.0-1 libstaroffice-0.0.5-1
libstemmer-0+337-2 libsynctex-2017.44590-10 libsystemd-237.64-1
libtar-1.2.20-3 libtasn1-4.13-1 libteam-1.27-1
libthai-0.1.27-1 libtheora-1.1.1-4 libtiff-4.0.9-1
libtirpc-1.0.2-3 libtommath-1.0.1-1
libtool-2.4.6+40+g6ca5e224-4 libunistring-0.9.8-1
libupnp-1.6.24-2 libusbmuxd-1.0.10+13+gc724e70-1
libutil-linux-2.31.1-1 libva-2.1.0-1 libva-mesa-driver-17.3.5-1
libva-vdpau-driver-0.7.4-3 libvdpau-1.1.1+3+ga21bf7a-1
libvisio-0.1.6-2 libvisual-0.4.0-7 libvoikko-4.1.1-1
libvpx-1.7.0-1 libwacom-0.27-1 libwbclient-4.7.4-1
libwebp-0.6.1-1 libwnck3-3.24.1-1 libwpd-0.10.2-1
libwpg-0.3.2-1 libwps-0.4.8-1 libx264-2:152.20171224-1
libx264-all-2:152.20171224-1 libx86emu-1.12-1 libxau-1.0.8-3
libxcursor-1.1.15-1 libxdamage-1.1.4-3 libxfixes-5.0.3-2
libxfont-1.5.3-2 libxfont2-2.0.3-1 libxkbcommon-0.8.0-1
libxkbcommon-x11-0.8.0-1 libxklavier-5.4-2
libxml2-2.9.7+4+g72182550-2 libxrandr-1.5.1-2 libxres-1.2.0-1
libxslt-1.1.32+3+g32c88216-1 libzmf-0.0.2-2 licenses-20171006-1
light-locker-1.8.0-1 lightdm-1:1.24.0-3
lightdm-gtk-greeter-1:2.0.3-1
lightdm-gtk-greeter-settings-1.2.2-2 linux-api-headers-4.14.8-1
linux-firmware-20180119.2a713be-2 linux49-4.9.83-1
linux49-broadcom-wl-6.30.223.271-65 linux49-r8168-8.045.08-5
llvm-libs-5.0.1-2 logrotate-3.13.0-1 lvm2-2.02.177-1
lz4-1:1.8.1.2-1 mailcap-2.1.48+14+g5811758-1 man-db-2.8.1-1
man-pages-4.15-1 manjaro-base-skel-20171029-3
manjaro-browser-settings-20180220-1
manjaro-documentation-en-20171227-1 manjaro-hello-0.5.11-1
manjaro-icons-20170701-1 manjaro-release-17.1.6-1
manjaro-settings-manager-0.5.4-9
manjaro-settings-manager-notifier-0.5.4-9
manjaro-wallpapers-17.0-1.3-1 manjaro-xfce-settings-20180202-1
menulibre-2.1.5-1 mesa-17.3.5-1 mesa-demos-8.3.0-4
mesa-vdpau-17.3.5-1 mhwd-0.6.2-4 mhwd-amdgpu-1.2.1-1
mhwd-catalyst-1:15.201.1151-2 mhwd-db-0.6.2-4
mhwd-nvidia-1:390.25-1 mhwd-nvidia-304xx-1:304.137-1
mhwd-nvidia-340xx-340.106-1 mime-types-9-1 [usunięcie]
mkinitcpio-24-2 mkinitcpio-busybox-1.27.2-1
mkinitcpio-openswap-0.1.0-2 modemmanager-1.8rc1+6+g0f377f94-1
mousepad-0.4.0-3 mpfr-4.0.1-1 mpg123-1.25.8-1 mugshot-0.3.2-2
nano-2.9.3-1 ncurses-6.1-3 net-snmp-5.7.3-7
net-tools-1.60.20180212git-1 nettle-3.4-1
network-manager-applet-1.8.11dev+12+ga37483c1-1
networkmanager-1.10.5dev+3+g5159c34ea-1
networkmanager-openconnect-1.2.4-3
networkmanager-openvpn-1.8.1dev+10+ge4d8cda-2
networkmanager-pptp-1.2.4-3 networkmanager-vpnc-1.2.4-3
nfs-utils-2.3.1-1 nfsidmap-2.3.1-1
nm-connection-editor-1.8.11dev+12+ga37483c1-1 nspr-4.18-1
nss-3.35-1 ocl-icd-2.2.12-1 openal-1.18.2-1 openjpeg2-2.3.0-1
openssh-7.6p1-2 openssl-1.1.0.g-1 openssl-1.0-1.0.2.n-1
openvpn-2.4.4-1 opus-1.2.1-1 orage-4.12.1-4 orc-0.4.28-1
os-prober-1.76-1 p11-kit-0.23.9-1 p7zip-16.02-4 pacman-5.0.2-2
pacman-mirrors-4.7.5-1 pamac-6.2.4-1 pambase-20171006-1
pango-1.40.14-1 parted-3.2-6 patch-2.7.6-1 patchutils-0.3.4-2
pavucontrol-1:3.0+23+g335c26c-1 pciutils-3.5.6-1 pcre-8.41-1
pcre2-10.31-1 pcsclite-1.8.23-1 perl-5.26.1-2
perl-clone-0.39-4 perl-dbi-1.640-1 perl-error-0.17025-2
perl-file-basedir-0.07-3 perl-file-desktopentry-0.22-3
perl-file-mimeinfo-0.28-3 perl-ipc-system-simple-1.25-3
perl-parse-yapp-1.05-8 perl-uri-1.73-1 perl-xml-libxml-2.0132-1
perl-xml-parser-2.44-6 perl-xml-sax-1.00-1 pidgin-2.12.0-4
pinentry-1.1.0-1 polkit-0.113+34+g29ba7af-1.1
polkit-qt5-0.112.0+git20180107-1 poppler-0.61.1-1
poppler-data-0.4.8-1 poppler-glib-0.61.1-1 poppler-qt5-0.61.1-1
popt-1.16-9 ppp-2.4.7-4 pptpclient-1.10.0-1
procps-ng-3.3.12-2.1 protobuf-3.5.1.1-1 protobuf-c-1.3.0-2
psmisc-23.1-1 pulseaudio-11.1-1 pulseaudio-bluetooth-11.1-1
pulseaudio-ctl-1.66-1 pulseaudio-zeroconf-11.1-1
pygobject-devel-3.26.1-1 pygobject2-devel-2.28.7-1
pygtk-2.24.0-8 pyqt5-common-5.10-3 python-3.6.4-2
python-cairo-1.16.2-1 python-dbus-1.2.6-1
python-dbus-common-1.2.6-1 python-gobject-3.26.1-1
python-keyutils-0.5-1 python-olefile-0.45.1-1
python-pexpect-4.3.1-1 python-pillow-5.0.0-1 python-pip-9.0.1-3
python-psutil-5.4.3-1 python-pyqt5-5.10-3
python-setuptools-1:38.5.1-1 python-sip-4.19.7-1
python-six-1.11.0-1 python-yaml-3.12-3 python2-2.7.14-2
python2-cairo-1.16.2-1 python2-gobject2-2.28.7-1 qpdf-7.1.1-1
qpdfview-0.4.17beta1-5 qrencode-4.0.0-1 qt5-base-5.10.1-2
qt5-styleplugins-5.0.0.20170311-5 qt5-svg-5.10.1-1
qt5-x11extras-5.10.1-1 qt5ct-0.34-2
randrproto-1.5.0-1 [usunięcie] raptor-2.0.15-7
rasqal-1:0.9.33-2 recordproto-1.14.2-2 [usunięcie]
reiserfsprogs-3.6.27-1 renderproto-0.11.1-3 [usunięcie]
rest-0.8.1-1 rfkill-0.5-2 [usunięcie] rpcbind-0.2.4-4
rsync-3.1.3-1 rtkit-0.11+8+ge0a51fe-1 run-parts-4.8.4-1
s-nail-14.9.7-1 samba-4.7.4-1
scrnsaverproto-1.2.2-2 [usunięcie] sdl-1.2.15-9 sdl2-2.0.7-1
shadow-4.5-4 shared-mime-info-1.9-1 sidplay2-libs-2.1.1-1
sip-4.19.7-1 slang-2.3.1a-2 smbclient-4.7.4-1 sndio-20180120-1
soundtouch-2.0.0-1 sqlite-3.22.0-1 steam-manjaro-1.0.0.54-10
subversion-1.9.7-4 sudo-1.8.22-1 systemd-237.64-1
systemd-sysvcompat-237.64-1 talloc-2.1.11-1 tar-1.30-1
tdb-1.3.15-1 terminus-font-4.46-1.1 tevent-1:0.9.34-1
texinfo-6.5-1 thin-provisioning-tools-0.7.5-1 thunar-1.6.14-1
thunar-archive-plugin-0.3.1-7 thunderbird-52.6.0-2 tlp-1.1-1.0
tslib-1.15-1 ttf-dejavu-2.37-2 ttf-inconsolata-1:2.0.0.1-2
tumbler-0.2.0-1 tzdata-2018c-1 udiskie-1.7.3-1 udisks2-2.7.6-1
unrar-1:5.5.8-1 upower-0.99.7-1 usbmuxd-1.1.0+28+g46bdf3e-1
usbutils-009-1 util-linux-2.31.1-1 v4l-utils-1.14.2-1
vertex-maia-icon-theme-20180118-1 vertex-maia-themes-20171114-1
videoproto-2.3.3-1 [usunięcie] viewnior-1.6-3
vlc-nightly-3.0.0v20180207-1 volume_key-0.3.9-5
vte-common-0.51.3-0.1 vte3-0.51.3-0.1
vulkan-icd-loader-1.0.68.0-1 wavpack-5.1.0-2 wayland-1.14.0-1
wayland-protocols-1.12-1 webkit2gtk-2.18.6-1 wildmidi-0.4.2-1
wireless-regdb-2017.03.07-1 wpa_supplicant-1:2.6-11 x265-2.6-1
xcursor-breeze-5.11.5-1 xcursor-vanilla-dmz-aa-0.4.5-1
xdg-user-dirs-0.16-1 xextproto-7.3.0-1 [usunięcie]
xf86-input-libinput-0.26.0-1 xf86-video-ati-1:7.10.0-1
xf86miscproto-0.9.3-1 [usunięcie]
xf86vidmodeproto-2.3.1-3 [usunięcie] xfburn-0.5.5-1
xfce4-clipman-plugin-1.4.2-2 xfce4-genmon-plugin-4.0.1-1
xfce4-notifyd-0.4.1-1 xfce4-panel-4.12.2-1
xfce4-power-manager-1.6.1-1 xfce4-screenshooter-1.9.1-1
xfce4-session-4.12.1-8.1 xfce4-terminal-0.8.6-1
xfce4-timer-plugin-1.7.0-1 xfce4-weather-plugin-0.8.10-1
xfce4-whiskermenu-plugin-1.7.5-1 xfce4-xkb-plugin-0.8.1-1
xfconf-4.12.1-4 xfdesktop-4.12.4-1 xfsprogs-4.14.0-1
xineramaproto-1.2.1-3 [usunięcie] xkeyboard-config-2.23.1-2
xmlsec-1.2.25-1 xorg-bdftopcf-1.1-1
xorg-server-1.19.6+13+gd0d1a694f-1
xorg-server-common-1.19.6+13+gd0d1a694f-1 xorgproto-2018.3-1
xproto-7.0.31-1 [usunięcie] yelp-3.26.0-1 zenity-3.26.0-1
zeromq-4.2.2-2 zita-resampler-1.6.0-2 zlib-1:1.2.11-2
zsh-5.4.2-2 zstd-1.3.3-1

Do zainstalowania: 4122,07 MiB
Zmiana po aktualizacji: 274,26 MiB

:: Kontynuować instalację? [T/n] t
(601/601) sprawdzanie kluczy w bazie [######################] 100%
(601/601) sprawdzanie spójności pakietów [######################] 100%
(601/601) wczytywanie listy plików [######################] 100%
(601/601) sprawdzanie konfliktów plików [######################] 100%
błąd: nie udało się dokonać transakcji (konfliktujące pliki)
qpdfview: /usr/lib/qpdfview/libqpdfview_djvu.so znajduje się w systemie plików
qpdfview: /usr/lib/qpdfview/libqpdfview_ps.so znajduje się w systemie plików
Wystąpiły błędy, nie zaktualizowano żadnego pakietu.
[john-pc ~]#

[john-pc ~]# pacman -Qm
compositeproto 0.4.2-3
damageproto 1.2.1-3
directfb 1.7.7-2
fixesproto 5.0+9+g4292ec1-1
fontsproto 2.1.3-2
gcc-libs-multilib 7.1.1-3
gcc-multilib 7.1.1-3
gtk3-print-backends 3.22.16-1
inputproto 2.3.2-1
kbproto 1.0.7-1
lib32-libtxc_dxtn 1.0.1-5
libtxc_dxtn 1.0.1-6
mime-types 9-1
qpdfview-djvu-plugin 0.4.16-5
qpdfview-ps-plugin 0.4.16-5
randrproto 1.5.0-1
recordproto 1.14.2-2
renderproto 0.11.1-3
rfkill 0.5-2
scrnsaverproto 1.2.2-2
videoproto 2.3.3-1
xextproto 7.3.0-1
xf86miscproto 0.9.3-1
xf86vidmodeproto 2.3.1-3
xineramaproto 1.2.1-3
xproto 7.0.31-1


(pocolog) #8

Uważaj bo pacman -Rcns usunie paczkę, wszystkie zależności i aplikacje wymagające tej paczki chyba. Więc sprawdź co leci do kosza, żeby to później naprawić :stuck_out_tongue: ew. pokaż tutaj czy nie chce ci pół systemu wywalić, bo nie mam doświadczenia.


(D35CART35) #9

Polecenia nic nie dają, nie odnaleziono pakietu.
Zrobiłem literówkę :wink:


(pocolog) #10

Pokaż co pokazuje pacman -Rcns qpdfview


(D35CART35) #11

Teraz poszło
[john@john-pc ~]$ sudo pacman -Rcns qpdfview

Ufamy, że lokalny administrator udzielił odpowiedniego szkolenia.
Zwykle sprowadza się ono do tych trzech rzeczy:

1) należy respektować prywatność innych,
2) należy myśleć przed pisaniem,
3) z dużą władzą wiąże się duża odpowiedzialność.

[sudo] hasło użytkownika john:
sprawdzanie zależności…

Pakiety (6) djvulibre-3.5.27-3 libspectre-0.2.8-1 poppler-qt5-0.56.0-1
qpdfview-djvu-plugin-0.4.16-5 qpdfview-ps-plugin-0.4.16-5
qpdfview-0.4.16-5

Odzyskane miejsce na dysku: 6,90 MiB

:: Czy chcesz usunąć te pakiety? [T/n] t
:: Przetwarzanie zmian pakietu…
(1/6) usuwanie qpdfview-ps-plugin [######################] 100%
(2/6) usuwanie libspectre [######################] 100%
(3/6) usuwanie qpdfview-djvu-plugin [######################] 100%
(4/6) usuwanie djvulibre [######################] 100%
(5/6) usuwanie qpdfview [######################] 100%
(6/6) usuwanie poppler-qt5 [######################] 100%
:: Uruchamianie po-transakcji…
(1/3) Updating icon theme caches…
(2/3) Arming ConditionNeedsUpdate…
(3/3) Updating the desktop file MIME type cache…
[john@john-pc ~]$
Po usunięciu puściłem aktualizację.


(pocolog) #12

Tą paczkę qpdfview możesz zainstalować ponownie. Nie powinna już robić problemów.

ps.
Ciekawe są te twoje problemy z antergosem. Ja jak zainstalowałem na laptopie, chyba już 1.5 będzie, to stoi jak skała :stuck_out_tongue_winking_eye:


(D35CART35) #13

Też nie wiem ale rozwiązanie @marcin82 pomogło.


(pocolog) #14

To dobrze. :sunglasses:


(D35CART35) #15

A tak teoretycznie co to za pakiety były?:wink:
Wiesz ja się na pacmanie tak nie znam lepiej znam APT.


(pocolog) #16

q pdf view - brzmi jak przeglądarka pdf w qt :stuck_out_tongue:


(saturno) #17

Kliknij tu: qpdfview